[Bug] Item by title search - no site selection dropdown
Closed, ResolvedPublic

Description

Author: helenhalbert

Special:ItemByTitle should have dropdown menus for site selection.

Details

Reference
bz66744
bzimport raised the priority of this task from to Normal.
bzimport set Reference to bz66744.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.Jun 17 2014, 9:31 PM

It doesn't have a dropdown. So more a missing feature. We should add one.

helenhalbert wrote:

hmm - I just assumed it did have one based on the (now old) documentation on the Help:Editing page:

"The item by title search page has two entry fields. The left field, which says "Site:" is where you put the language of Wikipedia that the article is appearing in. Once you begin typing, the field will create a drop down menu to help you select the language you want"

(see http://www.wikidata.org/w/index.php?title=Help%3AEditing&diff=138742426&oldid=135535688)

would the new dropdown provide just language codes (e.g. "en") or language codes + site selection (e.g. "enwiki")?

Currently it needs the latter as input but that's not very userfriendly...

helenhalbert wrote:

agreed. I mentioned this is in the other bug for page documentation but one possibility is providing a list of site codes (because the average contributor might not know them offhand), but it'd be much more user-friendly to directly map site codes to common usage (i.e. enwiki = English Wikipedia)

Lydia_Pintscher removed a subscriber: Unknown Object (MLST).
Lydia_Pintscher removed a subscriber: Unknown Object (MLST).
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 28 2015, 9:50 PM
Ricordisamoa updated the task description. (Show Details)Aug 22 2015, 2:30 PM
Ricordisamoa set Security to None.

Change 233195 had a related patch set uploaded (by Ricordisamoa):
Fix "wikibase.special.itemByTitle"

https://gerrit.wikimedia.org/r/233195

Change 233195 merged by jenkins-bot:
Fix "wikibase.special.itemByTitle"

https://gerrit.wikimedia.org/r/233195

Suggestions for the "site" field should work now. "Page" not yet.

Jonas closed this task as Resolved.
Lydia_Pintscher reopened this task as Open.Aug 24 2015, 9:25 AM

Part is not done yet.

Jonas moved this task from Done to Doing on the Wikidata-Sprint-2015-08-18 board.Aug 27 2015, 3:11 PM

Change 234966 had a related patch set uploaded (by Ricordisamoa):
[WIP] Add suggestions for page field to Special:ItemByTitle

https://gerrit.wikimedia.org/r/234966

thiemowmde renamed this task from Item by title search - no dropdown to [Bug] Item by title search - no page selection dropdown.
thiemowmde closed this task as Resolved.
thiemowmde removed a project: Patch-For-Review.
thiemowmde added a subscriber: thiemowmde.

I created T111032: [Story] Add a page suggester to Special:ItemByTitle for the second field on the special page. Please continue there.

Ricordisamoa updated the task description. (Show Details)Sep 1 2015, 1:32 PM
Ricordisamoa renamed this task from [Bug] Item by title search - no page selection dropdown to [Bug] Item by title search - no site selection dropdown.Sep 11 2015, 1:16 PM